ucx (1.16.0+ds-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 Feb 2024 08:41:19 +0000

ucx (1.16.0~rc5+ds-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Feb 2024 06:47:45 +0000

ucx (1.16.0~rc4+ds-1) experimental; urgency=medium

  * New upstream release with debian renamed

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 11 Jan 2024 06:39:22 +0000

ucx (1.16.0~rc2-2) experimental; urgency=medium

  * Enable riscv64,ppc64 on experimental build
  * Drop refs to any 32-bit arch
  * Drop obsolete breaks

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 07 Jan 2024 08:14:18 +0000

ucx (1.16.0~rc2-1) experimental; urgency=medium

  * New upstream release
  * Disable go bindings; they don't compile

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Jan 2024 16:03:19 +0000

ucx (1.15.0-1) unstable; urgency=medium

  * New upstream release
  * README.md now called README.md

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 03 Oct 2023 08:46:09 +0100

ucx (1.15.0~rc6-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 Sep 2023 08:32:04 +0100

ucx (1.15.0~rc5-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Sep 2023 08:51:10 +0100

ucx (1.15.0~rc4-1) unstable; urgency=medium

  * New upstream release
  * README now called README.md. Closes: #995457
  * Fix build-twice errors. Close: #1045573
  * Disable go support this build; 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 05 Sep 2023 08:38:30 +0100

ucx (1.15.0~rc3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 09 Aug 2023 12:42:41 +0100

ucx (1.15.0~rc2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 31 Jul 2023 16:33:56 +0100

ucx (1.15.0~rc1-2) unstable; urgency=medium

  * Push to unstable
  * disable java, maven doc for this build

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Jun 2023 10:52:51 +0100

ucx (1.15.0~rc1-1) experimental; urgency=medium

  * New upstream release
  * Re-enable java.
  * Build-dep on maven, default-jdk
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 May 2023 18:49:08 +0100

ucx (1.14.0-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 15 Jan 2023 10:44:18 +0000

ucx (1.13.100-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 03 Jan 2023 10:05:35 +0000

ucx (1.13.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Sep 2022 10:22:17 +0100

ucx (1.13.1~rc1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 25 Aug 2022 07:24:41 +0100

ucx (1.13.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 18 Jul 2022 08:21:59 +0100

ucx (1.13.0~rc2-1) unstable; urgency=medium

  * New upstream release
  * Patch ptr-fix.patch for missing def

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 02 Jul 2022 12:59:38 +0100

ucx (1.13.0~rc1-1) unstable; urgency=medium

  * New upstream release
  * Ship ucx-*.pc files
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 30 May 2022 11:24:44 +0100

ucx (1.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 24 Mar 2022 09:32:16 +0000

ucx (1.12.1~rc4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 19 Mar 2022 17:29:07 +0000

ucx (1.12.1~rc3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Mar 2022 10:47:04 +0000

ucx (1.12.1~rc2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 15 Feb 2022 09:37:30 +0000

ucx (1.12.1~rc1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 11 Feb 2022 10:49:09 +0000

ucx (1.12.0-1) unstable; urgency=medium

  * New upstream release
  * Include cmake config files in libucx-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 13 Dec 2021 10:20:53 +0000

ucx (1.11.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 04 Oct 2021 19:56:55 +0100

ucx (1.11.2~rc1-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 26 Sep 2021 10:51:43 +0100

ucx (1.11.2~rc1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 25 Sep 2021 12:32:54 +0100

ucx (1.11.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 01 Sep 2021 09:21:44 +0100

ucx (1.11.1~rc3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 31 Aug 2021 09:43:36 +0100

ucx (1.11.1~rc2-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.0

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 25 Aug 2021 10:06:38 +0100

ucx (1.11.1~rc1-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 16 Aug 2021 12:52:09 +0100

ucx (1.11.1~rc1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 11 Aug 2021 18:36:11 +0100

ucx (1.11.0~rc4-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Aug 2021 11:39:42 +0100

ucx (1.11.0~rc3-1) experimental; urgency=medium

  * New upstream release
  * Build-dep on libfuse3-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 09 Jul 2021 09:19:48 +0100

ucx (1.11.0~rc2-1) experimental; urgency=medium

  * New upstream release
  * Update d/watch to cope with -rc release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 03 Jul 2021 13:39:31 +0100

ucx (1.11.0~rc1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Jul 2021 07:59:45 +0100

ucx (1.10.1~rc2-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 23 May 2021 14:03:45 +0100

ucx (1.10.1~rc1-1) unstable; urgency=medium

  * New upstream release
  * Patch for FTBFS with gcc-11 (overzealous warning). Closes: #984376

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 03 May 2021 14:11:59 +0100

ucx (1.10.0~rc1-7) unstable; urgency=medium

  * Drop duplicate configure that breaks cross-compiling.
    Closes: #981257

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Feb 2021 11:25:32 +0000

ucx (1.10.0~rc1-6) unstable; urgency=medium

  * Add Breaks: libopenmpi3 (<< 4.1.0-3) to get correct configuration
    on systems without RDMA. Closes: #980448

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 Jan 2021 17:53:52 +0000

ucx (1.10.0~rc1-5) unstable; urgency=medium

  * typo:  -detail not details. Closes: #980238

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 19 Jan 2021 12:53:11 +0000

ucx (1.10.0~rc1-4) unstable; urgency=medium

  * Set --disable-backtrace-details to avoid non-public binutils ABI.
    Closes: #980238

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 17 Jan 2021 20:36:28 +0000

ucx (1.10.0~rc1-3) unstable; urgency=medium

  * Silence unnecessary logging. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Jan 2021 14:15:37 +0000

ucx (1.10.0~rc1-2) unstable; urgency=medium

  * Update maintainer list address (net->d.org). Closes: #979600

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 09 Jan 2021 17:05:15 +0000

ucx (1.10.0~rc1-1) unstable; urgency=medium

  * New upstream release
  * Add debian/watch file

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 08 Jan 2021 19:24:08 +0000

ucx (1.9.0-1) unstable; urgency=medium

  * New upstream release
    - Patch merged upstream : new_binutils.patch
  * Change Team maintainer email to *alioth.debian.net
  * Standards-Version: 4.5.1; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Dec 2020 13:34:55 +0000

ucx (1.9.0~rc1-2) unstable; urgency=medium

  * Add d/gbp.conf to match DEP-14 branch names
  * Fix VCS-* urls in d/control and point to debian/latest branch.
    Closes: #970714
  * Rebuild to fix Bin Dep. Closes: #970715

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Sep 2020 11:17:07 +0100

ucx (1.9.0~rc1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 08 Aug 2020 10:13:36 +0100

ucx (1.8.1-2) unstable; urgency=medium

  * Rebuild against libbinutils 2.35-1. Closes: #966232
  * Move to debhelper level 13
  * Add files previously not installed, thanks to dh_missing
  * Mark libucx-dev as M-A: same

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 25 Jul 2020 12:10:20 +0100

ucx (1.8.1-1) unstable; urgency=medium

  * New upstream release
  * Only build for aamd64, arm64, powerpc64 - limited by atomics in code
  * Build-depend on doxygen and librdmacm-dev
  * Update numa - most archs now build numa
  * Drop M-A: same from -dev pkg due to conflict
  * Install examples and perftest scripts

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 14 Jul 2020 09:54:23 +0100

ucx (1.8.0-1) unstable; urgency=low

  * Initial release (Closes: #962189)
  * patch - undo_upstream : undo upstream code that changes debian/ dir
  * patch - new_binutils : backport patch for latest binutils

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 09 Jun 2020 14:35:10 +0100
